Bug 729336 - find-lang.sh doesn't find all locales when --with-qt and --all-name are cobined.
Summary: find-lang.sh doesn't find all locales when --with-qt and --all-name are cobined.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 15:01 UTC by Christoph Wickert
Modified: 2016-09-20 07:23 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-15 14:33:41 UTC


Attachments (Terms of Use)

Description Christoph Wickert 2011-08-09 15:01:55 UTC
Description of problem:
find-lang.sh doesn't find all locales when --with-qt and --all-name are cobined.

Version-Release number of selected component (if applicable):
rpm-build-4.9.0-9.fc15

How reproducible:
always

Steps to Reproduce:
1. Try to build minitunes 1.0. It's spec file contains
  %find_lang %{name} --with-qt --all-name
  
Actual results:
warning: Installed (but unpackaged) file(s) found:
   /usr/share/minitunes/locale/de.qm
   /usr/share/minitunes/locale/el.qm
   /usr/share/minitunes/locale/fr.qm
   /usr/share/minitunes/locale/it.qm
   /usr/share/minitunes/locale/lv.qm
   /usr/share/minitunes/locale/nb.qm
   /usr/share/minitunes/locale/pt.qm
   /usr/share/minitunes/locale/ru.qm
   /usr/share/minitunes/locale/sr.qm
   /usr/share/minitunes/locale/tr.qm

However it finds *some* locales:

$ cat rpmbuild/BUILD/minitunes/minitunes.lang 
%lang(ES) /usr/share/minitunes/locale/es_ES.qm
%lang(BR) /usr/share/minitunes/locale/pt_BR.qm
%lang(CZ) /usr/share/minitunes/locale/cs_CZ.qm

Expected results:
All locales should be found, not only the ones with an underscore.

Comment 1 Akira TAGOH 2012-07-06 07:23:42 UTC
Does this issue still persist in f17 say?

Comment 2 Christoph Wickert 2012-07-06 12:14:49 UTC
It was fixed in rpm 4.9.3 by http://rpm.org/gitweb?p=rpm.git;a=commit;h=b19a896e which was meant to fix bug 699945. Therefor I'll close it as duplicate.

*** This bug has been marked as a duplicate of bug 699945 ***

Comment 3 Michael Schwendt 2013-07-02 07:00:30 UTC
Issue is not fixed in Fedora 19 RPM, and it is an issue different from bug 699945.

minitunes.spec contains this bit to work around it:

# There is a bug in find-lang.sh (see BZ #729336)
# heavily borrowed from /usr/lib/rpm/find-lang.sh
find %{buildroot} -type f -o -type l|sort|sed '
s:'"%{buildroot}"'::
s:\(.*/locale/\)\([^/_]\+\)\(.*\.qm$\):%lang(\2) \1\2\3:
s:^\([^%].*\)::
/^$/d' > %{name}.lang

Comment 4 Fedora End Of Life 2015-01-09 21:51:56 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-02-18 13:36:36 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Sergio Monteiro Basto 2016-02-28 04:51:14 UTC
not fixed in F23 updated

Comment 7 Ľuboš Kardoš 2016-03-03 15:34:46 UTC
Shouldn't be names of translation files for QT applications in format appName_langCode.qm ? 

Because find-lang.sh expect this format and quickly looking in my system I see that all QT translation files have this format. But files in description of this bug don't have this format and that's why find-lang.sh doesn't work as expected.

Comment 8 Sergio Monteiro Basto 2016-03-08 03:01:55 UTC
I don't know this still happen with minitube package, but I will investigate . 

http://copr-dist-git.fedorainfracloud.org/cgit/sergiomb/buildsforF21/minitube.git/tree/minitube.spec#n83

Comment 9 Ľuboš Kardoš 2016-03-14 08:20:02 UTC
Hi Than, 
because you are a maintainer of the qt package can you help us with this. Is there some mandatory format for names of qt translation files? As I wrote in my system it seems that all qt translations files have format appName_langCode.qm

Comment 10 Ngo Than 2016-03-21 12:45:25 UTC
Hi Ľuboš,
as i know there's no mandatory format for names of qt translation files. The common format is app_langcode.pm

Comment 11 Florian Festi 2016-04-15 14:33:41 UTC
OK, added support for langcode.pm upstream.

Comment 12 Sergio Monteiro Basto 2016-04-15 18:38:37 UTC
(In reply to Florian Festi from comment #11)
> OK, added support for langcode.pm upstream.

How I test if "support for langcode.pm" fix or not minitube case [1]  ? 

Thanks.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=729336#c8

Comment 13 Sergio Monteiro Basto 2016-09-20 06:59:36 UTC
I test it today and can't reproduce the error anymore , looks like it if fixed in Fedora 23+. Thanks.

Since I reopen it , I'm closing it. ok ?

Comment 14 Sergio Monteiro Basto 2016-09-20 07:23:13 UTC
(In reply to Sergio Monteiro Basto from comment #13)
> I test it today and can't reproduce the error anymore , looks like it if
> fixed in Fedora 23+. Thanks.
> 
> Since I reopen it , I'm closing it. ok ?

Sorry I confused the bug , this bug still the same , but should be one minitube bug .

Anyway where is upstream fix ?


Note You need to log in before you can comment on or make changes to this bug.